Bug 62682 - /proc/partitions doesn't list all disks
/proc/partitions doesn't list all disks
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
Blocks: 65120
  Show dependency treegraph
Reported: 2002-04-04 08:11 EST by Kambiz Aghaiepour
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-23 12:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
email regarding this issue.... (8.47 KB, text/plain)
2002-04-04 08:19 EST, Kambiz Aghaiepour
no flags Details
More /proc/partitions data.... (9.14 KB, text/plain)
2002-05-06 23:28 EDT, Kambiz Aghaiepour
no flags Details

  None (edit)
Description Kambiz Aghaiepour 2002-04-04 08:11:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.18-0.7 i686)

Description of problem:
On a system with a large amount of disks, /proc/partitions truncates output to
the first page it seems.  In the known case, the system has 27 drives.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a system with a large number of drives.
2. cat /proc/partitions


Additional info:

This will become even more important as we plan on installing 51 drives on
another system and would like to utilize information provided in
Comment 1 Kambiz Aghaiepour 2002-04-04 08:19:32 EST
Created attachment 52185 [details]
email regarding this issue....
Comment 2 Kambiz Aghaiepour 2002-05-06 23:28:33 EDT
Created attachment 56464 [details]
More /proc/partitions data....
Comment 3 Kambiz Aghaiepour 2002-05-06 23:30:03 EDT
This is critical.  Please provide an update on availability of fix.

Thank you
Comment 4 Need Real Name 2002-06-13 11:36:37 EDT
This appears resolved in the 2.4.18-4 kernel.

This is still likely an issue with the 2.1AS 2.4.9 kernel, so I'll switch the
product/version so that this can be tracked for that kernel.
Comment 5 Larry Woodman 2003-06-23 12:00:45 EDT
This should be fixed in the lated AS2.1 kernel errata.

Larry Woodman
Comment 6 Need Real Name 2003-06-23 12:29:20 EDT
Confirmed on the current AS kernel errata.

Note You need to log in before you can comment on or make changes to this bug.